### Method

# Pos EmojiDb match_by_name

#### Declaration [src]

    GStrv
    pos_emoji_db_match_by_name (
      PosEmojiDb* self,
      const char* match,
      guint max_matches
    )

#### Description

No description available.

#### Parameters

`match`

  Type: `const char*`

  The emoji name (or prefix) to match on.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`max_matches`

  Type: `guint`

  The maximum number of matches. `0` means “all matches”.

#### Return value

Type: An array of `utf8`

The matched emojis.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.